Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QStyle.StateFlag

    java.lang.Object
      java.lang.Enum<QStyle.StateFlag>
          com.trolltech.qt.gui.QStyle.StateFlag

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QStyle.StateFlag>

Enclosing class:
  QStyle

    public static enum QStyle.StateFlag

extends java.lang.Enum<QStyle.StateFlag>
implements QtEnumerator

This enum describes flags that are used when drawing primitive elements.

Note that not all primitives use all of these flags, and that the flags may mean different things to different items.

See Also:
  `drawPrimitive`

Enum Constant Summary
`State_Active` Internal.
`State_AutoRaise` Internal.
`State_Bottom` Internal.
`State_Children` Internal.
`State_DownArrow` Internal.
`State_Editing` Internal.
`State_Enabled` Internal.
`State_FocusAtBorder` Internal.
`State_HasFocus` Internal.
`State_Horizontal` Internal.
`State_Item` Internal.
`State_KeyboardFocusChange` Internal.
`State_Mini` Internal.
`State_MouseOver` Internal.
`State_NoChange` Internal.
`State_None` Internal.
`State_Off` Internal.
`State_On` Internal.
`State_Open` Internal.
`State_Raised` Internal.
`State_ReadOnly` Internal.
`State_Selected` Internal.
`State_Sibling` Internal.
`State_Small` Internal.
`State_Sunken` Internal.
`State_Top` Internal.
`State_UpArrow` Internal.
`State_Window` Internal.

Method Summary
`static QStyle.State` | `createQFlags(QStyle.StateFlag... values)`
`static QStyle.StateFlag` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.StateFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QStyle.StateFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### State_None

    public static final QStyle.StateFlag State_None

  Internal.

### State_Enabled

    public static final QStyle.StateFlag State_Enabled

  Internal.

### State_Raised

    public static final QStyle.StateFlag State_Raised

  Internal.

### State_Sunken

    public static final QStyle.StateFlag State_Sunken

  Internal.

### State_Off

    public static final QStyle.StateFlag State_Off

  Internal.

### State_NoChange

    public static final QStyle.StateFlag State_NoChange

  Internal.

### State_On

    public static final QStyle.StateFlag State_On

  Internal.

### State_DownArrow

    public static final QStyle.StateFlag State_DownArrow

  Internal.

### State_Horizontal

    public static final QStyle.StateFlag State_Horizontal

  Internal.

### State_HasFocus

    public static final QStyle.StateFlag State_HasFocus

  Internal.

### State_Top

    public static final QStyle.StateFlag State_Top

  Internal.

### State_Bottom

    public static final QStyle.StateFlag State_Bottom

  Internal.

### State_FocusAtBorder

    public static final QStyle.StateFlag State_FocusAtBorder

  Internal.

### State_AutoRaise

    public static final QStyle.StateFlag State_AutoRaise

  Internal.

### State_MouseOver

    public static final QStyle.StateFlag State_MouseOver

  Internal.

### State_UpArrow

    public static final QStyle.StateFlag State_UpArrow

  Internal.

### State_Selected

    public static final QStyle.StateFlag State_Selected

  Internal.

### State_Active

    public static final QStyle.StateFlag State_Active

  Internal.

### State_Window

    public static final QStyle.StateFlag State_Window

  Internal.

### State_Open

    public static final QStyle.StateFlag State_Open

  Internal.

### State_Children

    public static final QStyle.StateFlag State_Children

  Internal.

### State_Item

    public static final QStyle.StateFlag State_Item

  Internal.

### State_Sibling

    public static final QStyle.StateFlag State_Sibling

  Internal.

### State_Editing

    public static final QStyle.StateFlag State_Editing

  Internal.

### State_KeyboardFocusChange

    public static final QStyle.StateFlag State_KeyboardFocusChange

  Internal.

### State_ReadOnly

    public static final QStyle.StateFlag State_ReadOnly

  Internal.

### State_Small

    public static final QStyle.StateFlag State_Small

  Internal.

### State_Mini

    public static final QStyle.StateFlag State_Mini

  Internal.

Method Detail

### values

    public static final QStyle.StateFlag[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QStyle.StateFlag c : QStyle.StateFlag.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QStyle.StateFlag valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QStyle.State createQFlags(QStyle.StateFlag... values)

### resolve

    public static QStyle.StateFlag resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD